##### basic_readable_pipe::operator= (2 of 2 overloads)

Move-assign a `basic_readable_pipe` from a pipe of another executor type.

    template<
        typename Executor1>
    constraint_t< is_convertible< Executor1, Executor >::value, basic_readable_pipe & > operator=(
        basic_readable_pipe< Executor1 > && other);

This assignment operator moves a pipe from one object to another.

###### Parameters

other

  The other `basic_readable_pipe` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_readable_pipe(const executor_type&)` constructor.